<template>
	<div class="admin-set-of-experience">
		<section>
			<h3>Ajout d'un set d'éxpérience</h3>
			<form>
				<label for="experienceSetName">
					<span>Nom du set d'éxpérience</span>
					<input
						v-model="experienceSetName"
						name="experienceSetName"
						placeholder="Nom du set d'éxpérience"
						required
						type="text" />
				</label>
				<label for="newExeperience">
					<span>Éxpériencce à ajouter</span>
					<input
						name="newExeperience"
						placeholder="Éxpériencce à ajouter"
						required
						type="text" />
				</label>
				<button
					type="submit"
					@click="submitAddSetofExperience">
					Click Here
				</button>
			</form>
		</section>
		<hr />
		<section>
			<h3>Suppression d'un set d'éxpérience</h3>
			<form>
				<label for="experienceName">
					<span>Nom de l'expérience</span>
					<select
						name="experienceName"
						required>
						<option
							v-for="experienceNameTpm in experienceNames"
							:key="experienceNameTpm"
							:value="experienceNameTpm">
							{{ experienceNameTpm }}
						</option>
					</select>
				</label>
				<button
					type="submit"
					@click="submitDeleteSetofExperience">
					Click Here
				</button>
			</form>
		</section>
		<hr />
		<section>
			<h3>Ajout d'une expérience à un set d'éxpérience</h3>
			<form>
				<label for="experienceName">
					<span>Nom de l'expérience</span>
					<select
						name="experienceName"
						required>
						<option
							v-for="experienceNameTpm in experienceNames"
							:key="experienceNameTpm"
							:value="experienceNameTpm">
							{{ experienceNameTpm }}
						</option>
					</select>
				</label>
				<label for="newExeperience">
					<span>Éxpérience à ajouter</span>
					<input
						name="newExeperience"
						placeholder="Éxpérience à ajouter"
						required
						type="text" />
				</label>
				<button
					type="submit"
					@click="submitAddSetofExperience">
					Click Here
				</button>
			</form>
		</section>
	</div>
</template>

<script lang="ts">
	export default {
		name: "AdminSetOfExperience",
		data() {
			return {
				experienceSetName: "",
				experienceNames: ["experience1", "experience2", "experience3"],
			}
		},
		methods: {
			submitAddSetofExperience() {
				console.log("submitAddSetofExperience")
			},
			submitDeleteSetofExperience() {
				console.log("submitDeleteSetofExperience")
			},
			submitAddExperienceToSetofExperience() {
				console.log("submitAddExperienceToSetofExperience")
			},
		},
	}
</script>

<style lang="scss" scoped>
	.admin-set-of-experience {
		width: 80vw;
		margin: 0 auto;

		section {
			width: 60vw;
			margin: auto 20vh;

			h2 {
				font-size: 2em;
				text-align: center;
				margin-bottom: 1vh;
			}

			form {
				width: max-content;
				margin: 0 auto;
				display: flex;
				flex-direction: column;
				font-size: 1em;

				label {
					margin-bottom: 2vh;

					span {
						margin-right: 0.5vw;
					}
				}

				button {
					margin-top: 2vh;
					width: fit-content;
					align-self: center;
				}
			}
		}

		hr {
			display: block;
			border: 1px solid white;
			width: 40vw;
			margin-top: 5vh;
			margin-bottom: 5vh;
			text-align: center;
		}
	}
</style>
